Skip site navigation (1) Skip section navigation (2)

Re: PAM Authentication Patch, take one...

From: Peter Eisentraut <peter_e(at)gmx(dot)net>
To: "Dominic J(dot) Eidson" <sauron(at)the-infinite(dot)org>
Cc: <pgsql-patches(at)postgresql(dot)org>
Subject: Re: PAM Authentication Patch, take one...
Date: 2001-08-28 19:21:57
Message-ID: Pine.LNX.4.30.0108282117280.699-100000@peter.localdomain (view raw or flat)
Thread:
Lists: pgsql-patches
Dominic J. Eidson writes:

> Attached is the new and revised version of the PAM authentication patch.
>
> This will only send a password request to the frontend, if a password is
> required.

pam_strerror() should be used a few more times, rather than just saying
"Error!".  Also, the configure.in snippet seems wrong.  You add
-I$pam_prefix/include/security to $INCLUDES and then you #include
<security/pam_appl.h>.  This whole thing is probably unnecessary, since
PAM is a system library on the systems where it exists, so the headers
and libraries are found automatically, unlike OpenSSL and
Kerberos.

-- 
Peter Eisentraut   peter_e(at)gmx(dot)net   http://funkturm.homeip.net/~peter


In response to

Responses

pgsql-patches by date

Next:From: Dominic J. EidsonDate: 2001-08-28 20:58:27
Subject: Re: PAM Authentication Patch, take one...
Previous:From: Barry LindDate: 2001-08-28 16:28:36
Subject: Re: [PATCHES] JDBC Statement.executeBatch patch

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group